Package org.drinkless.tdlib

# Class TdApi.InlineQueryResultAnimation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InlineQueryResult
org.drinkless.tdlib.TdApi.InlineQueryResultAnimation

Enclosing class:
  TdApi

public static class TdApi.InlineQueryResultAnimation extends TdApi.InlineQueryResult
Represents an animation file.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InlineQueryResult

  `TdApi.InlineQueryResult.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Animation`
  `animation`
  Animation file.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `id`
  Unique identifier of the query result.
  `String`
  `title`
  Animation title.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InlineQueryResultAnimation()`
  Represents an animation file.
  `InlineQueryResultAnimation(String id, TdApi.Animation animation, String title)`
  Represents an animation file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### id

    public String id
    Unique identifier of the query result.

  - ### animation

    public TdApi.Animation animation
    Animation file.

  - ### title

    public String title
    Animation title.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InlineQueryResultAnimation

    public InlineQueryResultAnimation()
    Represents an animation file.

  - ### InlineQueryResultAnimation

    public InlineQueryResultAnimation(String id, TdApi.Animation animation, String title)
    Represents an animation file.
    Parameters:
      `id` - Unique identifier of the query result.
      `animation` - Animation file.
      `title` - Animation title.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InlineQueryResult`
    Returns:
      this.CONSTRUCTOR